Package bitel.billing.server.tariff.detail

# Class TariffDetailUtils

java.lang.Object
bitel.billing.server.tariff.detail.TariffDetailUtils

    public class TariffDetailUtils
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CALC_TYPE_COMMON` |
  `static int` | `CALC_TYPE_MAX` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TariffDetailUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static int` | `flushTariffDetail​(org.apache.logging.log4j.Logger logger, java.lang.String module, DefaultServerSetup setup, Preferences moduleSetup, java.sql.Connection con, int mid, java.util.Calendar startMonth, java.util.Calendar endMonth, java.lang.String workingContracts, long groups, java.util.Map<bitel.billing.server.tariff.detail.TariffDetailKey,​bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, java.util.Set<java.lang.Integer> tariffDetailRangeTakeAllSet, int calcType)` |
  `static java.util.Set<java.lang.Integer>` | `getCostTypeIdSet​(Preferences moduleSetup, int calcType)` |
  `static java.lang.String` | `getCostTypeIdString​(Preferences moduleSetup, int calcType)` |
  `static java.util.Set<java.lang.Integer>` | `getCostTypeRangeTakeAllIdSet​(Preferences moduleSetup)` |
  `static void` | `processRequest​(ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest request, int cid, java.lang.Integer serviceId, long takedAmount, float takedCost, long nodeAmount, float cost, long divisor)` |
  `static void` | `putTariffDetail​(java.util.Map<bitel.billing.server.tariff.detail.TariffDetailKey,​bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest calcReq, int contractId, int serviceId, double fullCost, long fullAmount)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CALC_TYPE_COMMON

    public static final int CALC_TYPE_COMMON
    See Also:
      Constant Field Values

  - ### CALC_TYPE_MAX

    public static final int CALC_TYPE_MAX
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### TariffDetailUtils

    public TariffDetailUtils()

- ## Method Details

  - ### processRequest

    public static final void processRequest​(ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest request, int cid, java.lang.Integer serviceId, long takedAmount, float takedCost, long nodeAmount, float cost, long divisor)

  - ### putTariffDetail

    public static final void putTariffDetail​(java.util.Map<bitel.billing.server.tariff.detail.TariffDetailKey,​bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, ru.bitel.bgbilling.kernel.tariff.server.tree.old.TariffRequest calcReq, int contractId, int serviceId, double fullCost, long fullAmount)

  - ### flushTariffDetail

    public static final int flushTariffDetail​(org.apache.logging.log4j.Logger logger, java.lang.String module, DefaultServerSetup setup, Preferences moduleSetup, java.sql.Connection con, int mid, java.util.Calendar startMonth, java.util.Calendar endMonth, java.lang.String workingContracts, long groups, java.util.Map<bitel.billing.server.tariff.detail.TariffDetailKey,​bitel.billing.server.tariff.detail.TariffDetailValue> tariffDetailMap, java.util.Set<java.lang.Integer> tariffDetailRangeTakeAllSet, int calcType) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getCostTypeIdSet

    public static final java.util.Set<java.lang.Integer> getCostTypeIdSet​(Preferences moduleSetup, int calcType)

  - ### getCostTypeIdString

    public static final java.lang.String getCostTypeIdString​(Preferences moduleSetup, int calcType)

  - ### getCostTypeRangeTakeAllIdSet

    public static final java.util.Set<java.lang.Integer> getCostTypeRangeTakeAllIdSet​(Preferences moduleSetup)